LukeRequest (Solr 3.6.2 API)
Keywords: org.apache.solr.client.solrj.request.LukeRequest class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.solr.client.solrj.request
Class LukeRequest

    java.lang.Object
      org.apache.solr.client.solrj.SolrRequest
          org.apache.solr.client.solrj.request.LukeRequest

All Implemented Interfaces:
  Serializable

    public class LukeRequest

extends SolrRequest

Since:
  solr 1.3
Version:
  $Id$
See Also:
  Serialized Form

Nested Class Summary

Nested classes/interfaces inherited from class org.apache.solr.client.solrj.SolrRequest
`SolrRequest.METHOD`

Constructor Summary
`LukeRequest()`
`LukeRequest(String path)`

Method Summary
`void` | `addField(String f)`
`Collection<ContentStream>` | `getContentStreams()`
`int` | `getNumTerms()`
`SolrParams` | `getParams()`
`boolean` | `isShowSchema()`
`LukeResponse` | `process(SolrServer server)`
`void` | `setFields(List<String> f)`
`void` | `setNumTerms(int count)` the number of terms to return for a given field.
`void` | `setShowSchema(boolean showSchema)`

Methods inherited from class org.apache.solr.client.solrj.SolrRequest
`getMethod, getPath, getResponseParser, setMethod, setPath, setResponseParser`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### LukeRequest

    public LukeRequest()

### LukeRequest

    public LukeRequest(String path)

Method Detail

### addField

    public void addField(String f)

### setFields

    public void setFields(List<String> f)

### isShowSchema

    public boolean isShowSchema()

### setShowSchema

    public void setShowSchema(boolean showSchema)

### getNumTerms

    public int getNumTerms()

### setNumTerms

    public void setNumTerms(int count)

  the number of terms to return for a given field. If the number is 0, it will not traverse the terms.

### getContentStreams

    public Collection<ContentStream> getContentStreams()

  Specified by:
    `getContentStreams` in class `SolrRequest`

### getParams

    public SolrParams getParams()

  Specified by:
    `getParams` in class `SolrRequest`

### process

    public LukeResponse process(SolrServer server)
                         throws SolrServerException,
                                IOException

  Specified by:
    `process` in class `SolrRequest`
  Throws:
    `SolrServerException`
    `IOException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD